com.dlsc.flexgantt.model.gantt

## Enum GanttChartModelEvent.ID

- java.lang.Object
- - java.lang.Enum<GanttChartModelEvent.ID>
  - - com.dlsc.flexgantt.model.gantt.GanttChartModelEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<GanttChartModelEvent.ID>
  Enclosing class:
    GanttChartModelEvent

      public static enum GanttChartModelEvent.ID
      extends Enum<GanttChartModelEvent.ID>

  An event identifier used to indicate what kind of event has taken place.
  Since:
    1.0
  See Also:
    `GanttChartModelEvent.getId()`, `IGanttChartModel.addGanttChartModelListener(IGanttChartModelListener)`, `IGanttChartModel.removeGanttChartModelListener(IGanttChartModelListener)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LAYER_ADDED` Used when a layer was added to the Gantt chart model.
    `LAYER_REMOVED` Used when a layer was removed from a Gantt chart model.
    `RELATIONSHIP_ADDED` Used when a relationship was added to gantt chart model.
    `RELATIONSHIP_CHANGED` Used when a relationship changed some of its attributes.
    `RELATIONSHIP_REMOVED` Used when a relationship was removed from the gantt chart model.
    `SPREADSHEET_ADDED` Used when a spreadsheet was added to the Gantt chart model.
    `SPREADSHEET_REMOVED` Used when a spreadsheet was removed from a Gantt chart model.
    `SPREADSHEET_VALUE_CHANGED` Used when a spreadsheet value was changed.
    `TIMELINE_OBJECT_CHANGED` Constant used to indicate that a timeline object has been changed in some way (new time span, new percentage complete, new capacity, ...).
    `TIMELINE_OBJECTS_ADDED` Constant used to indicate that timeline objects have been added to the model.
    `TIMELINE_OBJECTS_REMOVED` Constant used to indicate that timeline objects have been removed from the model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GanttChartModelEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GanttChartModelEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LAYER_ADDED

          public static final GanttChartModelEvent.ID LAYER_ADDED

      Used when a layer was added to the Gantt chart model.
      Since:
        1.0
      See Also:
        `DefaultGanttChartModel.addLayer(ILayer)`

    - #### LAYER_REMOVED

          public static final GanttChartModelEvent.ID LAYER_REMOVED

      Used when a layer was removed from a Gantt chart model.
      Since:
        1.0
      See Also:
        `DefaultGanttChartModel.removeLayer(ILayer)`

    - #### SPREADSHEET_ADDED

          public static final GanttChartModelEvent.ID SPREADSHEET_ADDED

      Used when a spreadsheet was added to the Gantt chart model.
      Since:
        2.1
      See Also:
        `DefaultGanttChartModel.addSpreadsheet(ISpreadsheet)`

    - #### SPREADSHEET_REMOVED

          public static final GanttChartModelEvent.ID SPREADSHEET_REMOVED

      Used when a spreadsheet was removed from a Gantt chart model.
      Since:
        2.1
      See Also:
        `DefaultGanttChartModel.removeSpreadsheet(ISpreadsheet)`

    - #### TIMELINE_OBJECTS_ADDED

          public static final GanttChartModelEvent.ID TIMELINE_OBJECTS_ADDED

      Constant used to indicate that timeline objects have been added to the model.
      Since:
        1.0
      See Also:
        `DefaultGanttChartModel.addTimelineObjects(IGanttChartNode, ILayer, Collection)`

    - #### TIMELINE_OBJECTS_REMOVED

          public static final GanttChartModelEvent.ID TIMELINE_OBJECTS_REMOVED

      Constant used to indicate that timeline objects have been removed from the model.
      Since:
        1.0
      See Also:
        `DefaultGanttChartModel.removeTimelineObjects(IGanttChartNode, ILayer, Collection)`

    - #### TIMELINE_OBJECT_CHANGED

          public static final GanttChartModelEvent.ID TIMELINE_OBJECT_CHANGED

      Constant used to indicate that a timeline object has been changed in some way (new time span, new percentage complete, new capacity, ...).
      Since:
        1.0
      See Also:
        `DefaultGanttChartModel.timelineObjectChanged(ITimelineObject)`

    - #### RELATIONSHIP_ADDED

          public static final GanttChartModelEvent.ID RELATIONSHIP_ADDED

      Used when a relationship was added to gantt chart model.
      Since:
        1.0
      See Also:
        `DefaultGanttChartModel.addRelationships(Collection)`

    - #### RELATIONSHIP_REMOVED

          public static final GanttChartModelEvent.ID RELATIONSHIP_REMOVED

      Used when a relationship was removed from the gantt chart model.
      Since:
        1.0
      See Also:
        `DefaultGanttChartModel.removeRelationships(Collection)`, `DefaultGanttChartModel.clearRelationships()`

    - #### RELATIONSHIP_CHANGED

          public static final GanttChartModelEvent.ID RELATIONSHIP_CHANGED

      Used when a relationship changed some of its attributes.
      Since:
        2.0

    - #### SPREADSHEET_VALUE_CHANGED

          public static final GanttChartModelEvent.ID SPREADSHEET_VALUE_CHANGED

      Used when a spreadsheet value was changed.
      Since:
        2.1

  - ### Method Detail

    - #### values

          public static GanttChartModelEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GanttChartModelEvent.ID c : GanttChartModelEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GanttChartModelEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.